apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: victoria-k8s-stack
  namespace: argocd
  labels:
    env: dev
spec:
  project: default
  syncPolicy:
    automated:
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
  destination:
    name: in-cluster
    namespace: observability
  sources:
    - chart: victoria-metrics-k8s-stack
      repoURL: https://victoriametrics.github.io/helm-charts/
      targetRevision: 0.48.1
      releaseName: victoria
      helm:
        valueFiles:
          - $values/otc/penguin-observability.think-ahead.cloud/stacks/observability/victoria-k8s-stack/values.yaml
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
      targetRevision: HEAD
      ref: values
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
      targetRevision: HEAD
      path: "otc/penguin-observability.think-ahead.cloud/stacks/observability/victoria-k8s-stack/manifests"
